Bug 1998622 - CVE-2021-40153 squashfs-tools: unvalidated filepaths allow writing outside of destination [fedora-all]
Summary: CVE-2021-40153 squashfs-tools: unvalidated filepaths allow writing outside of...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: squashfs-tools
Version: 34
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Bruno Wolff III
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2021-40153
TreeView+ depends on / blocked
 
Reported: 2021-08-27 18:20 UTC by Guilherme de Almeida Suckevicz
Modified: 2021-09-29 03:57 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-09-29 03:57:33 UTC
Type: ---


Attachments (Terms of Use)

Description Guilherme de Almeida Suckevicz 2021-08-27 18:20:43 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

Comment 1 Guilherme de Almeida Suckevicz 2021-08-27 18:20:44 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=low

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1998621,1998622

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Bruno Wolff III 2021-08-27 18:32:31 UTC
I had planned to backport squashfs-tools 4.5 from Rawhide. I was anticipating a new minor release shortly as a fix was needed for a different bug I had found. I did want to push a update, just to have to do another one in a few days. But given that it has been a month now, it seems reasonable to do the update now. And do another one later once there is a new release. I haven't gotten any feedback (which is a good thing) after deploying 4.5 in rawhide (other than the issue I found myself and was fixed upstream).

Comment 3 Fedora Update System 2021-08-28 09:01:32 UTC
FEDORA-2021-cdbd827c1e has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-cdbd827c1e

Comment 4 Fedora Update System 2021-08-28 09:06:08 UTC
FEDORA-2021-372114906d has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-372114906d

Comment 5 Fedora Update System 2021-08-29 01:20:46 UTC
FEDORA-2021-cdbd827c1e has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-cdbd827c1e`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-cdbd827c1e

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2021-08-29 02:00:47 UTC
FEDORA-2021-372114906d has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-372114906d`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-372114906d

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2021-08-30 20:41:49 UTC
FEDORA-2021-cdbd827c1e has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 8 Fedora Update System 2021-09-14 15:44:13 UTC
FEDORA-2021-9fb6da134f has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-9fb6da134f`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-9fb6da134f

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2021-09-29 01:08:01 UTC
FEDORA-2021-9fb6da134f has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.